aboutsummaryrefslogtreecommitdiff
path: root/libexec/rc/rc.d
diff options
context:
space:
mode:
Diffstat (limited to 'libexec/rc/rc.d')
-rwxr-xr-xlibexec/rc/rc.d/mountd3
1 files changed, 3 insertions, 0 deletions
diff --git a/libexec/rc/rc.d/mountd b/libexec/rc/rc.d/mountd
index 85d04c37a018..ba573ad732cc 100755
--- a/libexec/rc/rc.d/mountd
+++ b/libexec/rc/rc.d/mountd
@@ -34,6 +34,9 @@ mountd_precmd()
rc_flags="${rc_flags} -R"
else
force_depend rpcbind || return 1
+ if ! checkyesno nfsv4_server_enable; then
+ sysctl vfs.nfsd.server_max_nfsvers=3 > /dev/null
+ fi
fi
# mountd flags will differ depending on rc.conf settings